GetRounds
curl --request GET \
--url https://api.messari.io/funding/v1/rounds \
--header 'X-Messari-API-Key: <api-key>'import requests
url = "https://api.messari.io/funding/v1/rounds"
headers = {"X-Messari-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Messari-API-Key': '<api-key>'}};
fetch('https://api.messari.io/funding/v1/rounds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": null,
"data": [
{
"id": "19eb0c40-869f-41b6-ae55-d7ae2a94f7ce",
"announcements": [
{
"url": "https://en.cryptonomist.ch/2025/10/23/technotainment-raises-2m-community-pre-seed-as-prepares-streaming-2-0-launch/"
},
{
"url": "https://finbold.com/technotainment-raises-2-million-ahead-of-streaming-2-0-launch/"
}
],
"announcementDate": "2025-10-23T15:00:00Z",
"type": "Pre Seed",
"stage": "Miscellaneous",
"isTokenFunded": false,
"amountRaisedUSD": 2000000,
"fundedEntity": {
"id": "6b912c2c-9af5-48e1-8e81-0abfbac5c558",
"type": "Project",
"name": "Technotainment"
},
"hasNativeAsset": false,
"investors": {
"organizationIDs": [],
"projectIDs": [],
"personIDs": []
}
},
{
"id": "0769b336-95b5-40fc-826f-631f4b5717c7",
"announcements": [
{
"url": "https://www.theblock.co/post/375874/tether-joins-39-million-funding-round-in-programmable-pave-bank"
}
],
"announcementDate": "2025-10-23T06:45:00Z",
"type": "Series A",
"stage": "Miscellaneous",
"isTokenFunded": false,
"amountRaisedUSD": 39000000,
"fundedEntity": {
"id": "844ae1b8-b588-45a8-b9dc-c3c785d5c9f3",
"type": "Project",
"name": "Pave Bank"
},
"hasNativeAsset": false,
"investors": {
"organizationIDs": [
"0b4668e2-6605-4769-af78-01585fe7ee3d",
"89f4cea3-4fdd-448d-bab1-38a4ae0d38f4",
"d109cc83-516e-4d37-a977-00d372871cea",
"dda6962a-f25e-4fa6-838a-f94de017b460"
],
"projectIDs": [
"1eaf063a-b8dd-4cfb-95dd-a06338565720"
],
"personIDs": []
}
},
{
"id": "59c21e3c-b335-484f-8512-73fa79697f22",
"announcements": [
{
"url": "https://x.com/KinetiqFND/status/1981005145908392376"
}
],
"announcementDate": "2025-10-22T14:00:00Z",
"type": "Seed",
"stage": "Seed",
"isTokenFunded": false,
"amountRaisedUSD": 1750000,
"fundedEntity": {
"id": "db866c16-5c64-4323-80f1-051fe98b1e67",
"type": "Project",
"name": "Kinetiq"
},
"hasNativeAsset": true,
"investors": {
"organizationIDs": [
"3661cd5c-d315-4871-8a7c-24e3bea2612b",
"fa184254-25a7-4814-89a7-90de304ebdba",
"302c173a-cc0e-4f09-8b8e-e379b7b7e688",
"10337f59-0c39-4986-8f4f-e60c42176d0c",
"d1d68202-314e-46f8-a472-acf3ecb853fa"
],
"projectIDs": [
"93537e1f-c2ee-41d7-9b5c-e618b08c2ee1",
"ab6ddb02-748b-489b-83d5-f7ca4361c3e5",
"23524d00-a58d-4957-b149-288f5110372e"
],
"personIDs": [
"1926465a-bac7-48a3-b4d8-a90cc0636bf4",
"888d7256-acde-45e2-9712-4a43dd446a85",
"e5c9e9c7-daac-47cf-b1a3-0f1019890803",
"406e8e73-8421-4465-b96c-f1013a5f0999",
"180a96de-df97-4d5b-afd0-7e30bfc49733"
]
}
},
{
"id": "ffa8b275-f642-469e-aed6-93e773dc1a01",
"announcements": [
{
"url": "https://x.com/FD_LABS_X/status/1980999437720948776"
}
],
"announcementDate": "2025-10-22T13:30:00Z",
"type": "Strategic",
"stage": "Miscellaneous",
"isTokenFunded": false,
"amountRaisedUSD": 500000,
"fundedEntity": {
"id": "64aeea43-0fb4-4ddd-a9d7-8ebf1d292150",
"type": "Project",
"name": "bitsCrunch"
},
"hasNativeAsset": true,
"investors": {
"organizationIDs": [
"70f1e5ae-be0b-4410-83a7-85ada59196bf"
],
"projectIDs": [],
"personIDs": []
}
},
{
"id": "adfd002a-1d77-498c-974b-ec128e242bf2",
"announcements": [
{
"url": "https://www.businesswire.com/news/home/20251022194428/en/Cybrid-Raises-%2410M-to-Power-Stablecoins-for-Financial-Institutions"
},
{
"url": "https://www.axios.com/pro/fintech-deals/2025/10/22/cybrid-10m-stablecoin-fiat-rails"
},
{
"url": "https://www.finsmes.com/2025/10/cybrid-raises-10m-in-series-a-funding.html"
}
],
"announcementDate": "2025-10-22T11:00:00Z",
"type": "Series A",
"stage": "Miscellaneous",
"isTokenFunded": false,
"amountRaisedUSD": 10000000,
"fundedEntity": {
"id": "5b9e6992-2083-4eb7-9a7e-bd4207ef0861",
"type": "Project",
"name": "Cybrid"
},
"hasNativeAsset": false,
"investors": {
"organizationIDs": [
"fa950a46-98a3-42a5-84aa-48ebd422a1cf",
"9c6f1198-f8af-400b-9df8-2bfe53f1c92e",
"62d15825-c909-4287-8aeb-e00e0dc1383e",
"767c7329-5511-4e1c-86e4-e3bda1b0258a"
],
"projectIDs": [],
"personIDs": []
}
}
],
"metadata": {
"limit": 10,
"page": 1,
"totalRows": 19903,
"totalPages": 1991
}
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}{
"data": "<unknown>",
"error": "<string>"
}Fundraising Rounds
Rounds
Lookup Funding Rounds given a set of filters.
GET
/
funding
/
v1
/
rounds
GetRounds
x402 Support: Supported.
See the x402 guide.
Authorizations
Query Parameters
Comma-separated list of projects or organizations uuids which received funding.
Comma-separated list of investor (persons, projects, orgs) IDs who invested in the funding rounds to be retrieved.
Comma-separated list of funding round types to filter by.
Available options:
Accelerator, Debt Financing, Extended Pre Seed, Extended Seed, Extended Series A, Extended Series B, Extended Series C, Extended Series D, Grant, ICO, IPO, Post IPO, Post IPO Debt, Pre Seed, Pre Series A, Pre Series B, Private Token Sale, Public Token Sale, Seed, Series A, Series B, Series C, Series D, Series E, Series F, Series G, Series H, Strategic, Treasury Diversification, Undisclosed Comma-separated list of funding round stages to filter by.
Available options:
Seed, Early Stage, Late Stage, Public Equity Offering, Post Public Equity, Miscellaneous Filter by maximum amount raised in USD. Will return rounds which have raised less than the specified amount.
Filter by minimum amount raised in USD. Will return rounds which have raised more than the specified amount.
Filter by rounds that were funded with tokens.
Example:
true
Filter by rounds announced before the specified date.
Filter by rounds announced after the specified date.
⌘I

